[SOLVED] Ardour 6.3 does not start after upgrade from 5.12

I previously used ardour under Ubuntu from debian packages, which will have been version 5.12 according to https://packages.ubuntu.com/bionic/ardour (I am running ubuntu bionic). Now I donated and downloaded the latest official binary release from ardour.org.

After installing it, it found my old config and asked me to import it. (Which I assume might be the problem)

Now the program starts until the project selection screen and afterwards crashes after a while.

Ardour6.3.0 (built using 6.3 and GCC version 6.3.0 20170516)
Ardour: [INFO]: Your system is configured to limit Ardour to 1048576 open files
Ardour: [INFO]: Loading system configuration file /opt/Ardour-6.3.0/etc/system_config
Ardour: [INFO]: Loading user configuration file /home/ch/.config/ardour6/config
Ardour: [INFO]: CPU vendor: GenuineIntel
Ardour: [INFO]: AVX-capable processor
Ardour: [INFO]: CPU brand: Intel(R) Core(TM) i7-4600U CPU @ 2.10GHz
Ardour: [INFO]: Using AVX optimized routines
Ardour: [INFO]: Loading plugin meta data file /opt/Ardour-6.3.0/share/plugin_metadata/plugin_tags
Cannot xinstall SIGPIPE error handler
Ardour: [INFO]: Loading default ui configuration file /opt/Ardour-6.3.0/etc/default_ui_config
Ardour: [INFO]: Loading user ui configuration file /home/ch/.config/ardour6/ui_config
Ardour: [INFO]: Loading 449 MIDI patches from /opt/Ardour-6.3.0/share/patchfiles
Gtk-Message: Failed to load module "canberra-gtk-module"
Ardour: [INFO]: Loading color file /opt/Ardour-6.3.0/share/themes/dark-ardour.colors
Ardour: [INFO]: Loading ui configuration file /opt/Ardour-6.3.0/etc/clearlooks.rc
Ardour: [INFO]: Loading bindings from /opt/Ardour-6.3.0/etc/ardour.keys
Loading ui configuration file /opt/Ardour-6.3.0/etc/clearlooks.rc
Found nothing along /home/ch/.config/ardour6/templates:/opt/Ardour-6.3.0/share/templates
protocol Wiimote not found
free(): invalid pointer
Aborted (core dumped)

My questions are: Do you think this can be solved by resetting the configuration? And how can I do so? Will I be able to work on my old projects?

Is this with an old project or creating a new project?

If an old project, can you try creating a new project and see if that works?

Seablade

It is the same for both, old and new

If you move the config directory somewhere else, and don’t tell it to import from 5, does it work?

Seablade

rm -rf ~/.config/ardour6

or better, just move instead of re-move it:

mv  ~/.config/ardour6 /tmp/

At the point where this happens, Ardour scans plugins, likely LADSPA. This reminds me of similar issues with Ubuntu: SOLVED ERROR at start in 18.10

try to remove the old LV1 plugins sudo dpkg -P csladspa calf-ladspa

Thank you very much. It was not related to the config at all.
sudo dpkg -P csladspa solved the problem. And it works now even with the old config and old projects.
(although some plugins are missing now. I will solve this next :wink: )

@x42 got there much quicker but that was my suspicion as well, that it was crashing in a plugin scan and a plugin was to blame. Dang that cs-ladspa rears it’s head a lot.

    Seablade